package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.rjconsultores.ventaboletos.dao.TipoEmpleadoDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEmpleado;
import com.rjconsultores.ventaboletos.service.TipoEmpleadoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("tipoEmpleadoService")
public class TipoEmpleadoServiceImpl implements TipoEmpleadoService {

    @Autowired
    private TipoEmpleadoDAO tipoEmpleadoDAO;

	@Override
	public List<TipoEmpleado> obtenerTodos() {
		return tipoEmpleadoDAO.obtenerTodos();
	}

	@Override
	public TipoEmpleado obtenerID(Integer id) {
		return tipoEmpleadoDAO.obtenerID(id);
	}

	@Override
	public TipoEmpleado suscribir(TipoEmpleado entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoEmpleadoDAO.suscribir(entidad);
	}

	@Override
	public TipoEmpleado actualizacion(TipoEmpleado entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoEmpleadoDAO.actualizacion(entidad);
	}

	@Override
	public void borrar(TipoEmpleado entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoEmpleadoDAO.actualizacion(entidad);
	}


}
